
Redmine - Feature #4684

Allow for customizable view permissions when adding an issue

2010-01-28 19:18 - Kyle Corupe

Status: Closed Start date: 2010-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When adding a new issue, it is not possible to customize what options are available to that role when adding them. Its more of an all

or nothing. Request would be to control which options are available.

ex.

A Client should not be able to set the priority, Assigned to, Category,  Estimated time, or the due date of an issue. As they would

automatically set it to Urgent and would not know how to properly catalog it.

Like wise they should not be able to change these options when updating an issue either.

Related issues:

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2010-01-30 13:19 - Jean-Philippe Lang

- Category set to Issues permissions

#2 - 2010-12-14 20:34 - Alvaro Linares

This feature became really important to us.

I want to have exclusive control of the priority of the issues to organize and distribute tasks, and today whoever who can add a new or modify an

existing issue sets the priority according to his/her needs, and not to my development plans... and then this situation gets out of control...

I mean, something like this will be very helpful for this kind of use.

Thanks for take this in count

:)

#3 - 2019-12-14 06:17 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

In Redmine 2.1.0 and later, you can configure field permissions so that only users with particular roles can update it. Refer to #3521 for details.

#4 - 2019-12-14 06:17 - Go MAEDA

- Is duplicate of Feature #3521: Permissions for roles to change fields per tracker/status added
